package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * ApLanTraffic
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ApLanTraffic   {
  @JsonProperty("lanTraffic")
  private LanTraffic lanTraffic;

  public ApLanTraffic lanTraffic(LanTraffic lanTraffic) {
    this.lanTraffic = lanTraffic;
    return this;
  }

  /**
   * Get lanTraffic
   * @return lanTraffic
  */
  @ApiModelProperty(value = "")

  @Valid

  public LanTraffic getLanTraffic() {
    return lanTraffic;
  }

  public void setLanTraffic(LanTraffic lanTraffic) {
    this.lanTraffic = lanTraffic;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApLanTraffic apLanTraffic = (ApLanTraffic) o;
    return Objects.equals(this.lanTraffic, apLanTraffic.lanTraffic);
  }

  @Override
  public int hashCode() {
    return Objects.hash(lanTraffic);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApLanTraffic {\n");
    
    sb.append("    lanTraffic: ").append(toIndentedString(lanTraffic)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

